Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

27 lines (23 sloc) 1.295 kb
Gem::Specification.new do |s|
s.name = 'sinatra-synchrony'
s.version = '0.4.1'
s.authors = ['Kyle Drake']
s.email = ['kyledrake@gmail.com']
s.homepage = 'https://github.com/kyledrake/sinatra-synchrony'
s.summary = 'Bootstraps Sinatra with EM-Synchrony code, make TCPSocket EM-aware, provides support for tests'
s.description = 'Bootstraps in code required to take advantage of EventMachine/EM-Synchrony\'s concurrency enhancements for slow IO. Patches TCPSocket, which makes anything based on it EM-aware (including RestClient). Includes patch for tests. Requires Fibers (Ruby 1.9, JRuby and Rubinius in 1.9 mode)'
s.files = Dir['{lib/sinatra,lib/rack,spec}/**/*'] + Dir['[A-Z]*']
s.require_path = 'lib'
s.rubyforge_project = s.name
s.required_rubygems_version = '>= 1.3.4'
s.add_dependency 'sinatra', '~> 1.0'
s.add_dependency 'rack-fiber_pool', '~> 0.9'
s.add_dependency 'eventmachine', '~> 1.0.0'
s.add_dependency 'em-http-request', '~> 1.0'
s.add_dependency 'em-synchrony', '~> 1.0.1'
s.add_dependency 'em-resolv-replace', '~> 1.1'
s.add_development_dependency 'rake'
s.add_development_dependency 'rack-test', '~> 0.5'
s.add_development_dependency 'wrong', '~> 0.5'
s.add_development_dependency 'minitest'
end
Jump to Line
Something went wrong with that request. Please try again.